Skip To Content

ArcGIS Enterprise SDK 10.8.x system requirements

The system and hardware requirements to run ArcGIS Enterprise SDK are listed below.

It is recommended that you review the deprecation notice to determine if your hardware and software components are still compatible with version 10.8 and 10.8.1.

Operating system requirements

The following 64-bit operating systems satisfy the minimum operating system requirements. Support is not provided for 32-bit operating systems; the setup will only proceed if the operating system is 64-bit.

Supported operating systemLatest update or service pack tested

Windows Server 2019 Standard and Datacenter

June 2020 updates

Windows Server 2016 Standard and Datacenter

June 2020 updates

Windows Server 2012 R2 Standard and Datacenter

June 2020 updates

Windows Server 2012 Standard and Datacenter

June 2020 updates

Prior and future updates or service packs on these operating system versions are supported unless otherwise stated. The operating system version and updates must also be supported by the operating system provider.

Note:

The Desktop Experience option is required on all versions of Windows Server.

Supported operating systemLatest update or service pack tested

Windows 10 Pro and Enterprise (64 bit [EM64T])

June 2020 updates

Windows 8.1 Pro and Enterprise (64 bit [EM64T])

June 2020 updates

Disk space requirements

Enterprise SDK with all features for .NET on Microsoft Windows requires approximately 550 MB of disk space.

Enterprise SDK with all features for Java requires approximately 250 MB of disk space.

Developer solutions (SDK) requirements

Development platformSupported and recommended IDEs SDK requirement

.NET

Visual Studio templates (which contain boilerplate code) are provided with Enterprise SDK for the .NET Platform and are supported in the IDEs listed below.

  • Microsoft Visual Studio 2019 (C#, VB.NET) Community, Professional, Enterprise
  • Microsoft Visual Studio 2017 (C#, VB.NET) Community, Professional, Enterprise

ArcGIS Server is required when deploying an SOE and ArcGIS Pro is required when publishing map services. However, ArcGIS Server and ArcGIS Pro do not need to be installed on the same machine where the ArcGIS Enterprise SDK is installed; they can be on remote machines.

Microsoft .NET Framework 4.5.2 or later

Java

At ArcGIS 10.8.1, ArcGIS Enterprise SDK uses the Maven framework for Java project build and management. Most Java IDEs that support the Maven framework and JDK 11 can be used, such as IntelliJ IDEA, Eclipse IDE, or NetBeans. The documented and recommended IDEs are as follows:

  • IntelliJ IDEA Ultimate (version 2019.3.4 or later)
  • IntelliJ IDEA Community (version 2019.3.4 or later)
  • Eclipse IDE for Java Developers (version 2019-12 or later
  • Eclipse IDE for Java EE Developers (version 2019-12 or later

At ArcGIS 10.8, the Eclipse plug-in is provided with ArcGIS Enterprise SDK for the Java Platform. The Eclipse plug-in offers an enhanced developer experience through templates, project wizards, and built-in samples. It is supported in the IDEs listed below:

  • Eclipse Photon (4.8) IDE for Java Developers
  • Eclipse Photon (4.8) IDE for Java EE Developers
  • Eclipse Oxygen (4.7) IDE for Java Developers
  • Eclipse Oxygen (4.7) for Java EE Developers

ArcGIS Server is required to deploy an SOE or SOI and ArcGIS Pro is required to publish services. However, ArcGIS Server and ArcGIS Pro do not need to be installed on the same machine where the ArcGIS Enterprise SDK is installed; they can be on remote machines.

At ArcGIS 10.8.1, Java Development Kit (JDK) version 11.0.6 or later versions of JDK 11 are supported when building SOEs and SOIs. Building SOEs or SOIs with Java 12 or higher is not supported. Maven 3.6.1 or later is supported.

At ArcGIS 10.8, Java Development Kit (JDK) version 8 Update 191 or later versions of JDK 8 are supported when building SOEs and SOIs. Building SOEs or SOIs with Java 9 or later is not supported.